wxWidgets: wxContextHelp Class Reference

| Version: 3.0.5

Public Member Functions | List of all members
wxContextHelp Class Reference
Class List by Category » Help

`#include </home/Hamis/wxwidgets/wxWidgets3.0/wxWidgets3.0-3.0.5.1-2.x86_64/src/wxWidgets-3.0.5.1/interface/wx/cshelp.h>`

Inheritance diagram for wxContextHelp:
[legend]

## Detailed Description

This class changes the cursor to a query and puts the application into a 'context-sensitive help mode'.

When the user left-clicks on a window within the specified window, a `wxEVT_HELP` event is sent to that control, and the application may respond to it by popping up some help.

For example:

wxContextHelp contextHelp(myWindow);
wxContextHelp
This class changes the cursor to a query and puts the application into a 'context-sensitive help mode...
Definition: cshelp.h:194

There are a couple of ways to invoke this behaviour implicitly:

- Use the wxDIALOG_EX_CONTEXTHELP style for a dialog (Windows only). This will put a question mark in the titlebar, and Windows will put the application into context-sensitive help mode automatically, with further programming.
- Create a wxContextHelpButton, whose predefined behaviour is to create a context help object. Normally you will write your application so that this button is only added to a dialog for non-Windows platforms (use wxDIALOG_EX_CONTEXTHELP on Windows).

Note that on Mac OS X, the cursor does not change when in context-sensitive help mode.

##

Library: wxCore

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxHelpEvent, wxHelpController, wxContextHelpButton

## Public Member Functions
| wxContextHelp (wxWindow *window=NULL, bool doNow=true)
| Constructs a context help object, calling BeginContextHelp() if doNow is true (the default). More...
virtual | ~wxContextHelp ()
| Destroys the context help object. More...
bool | BeginContextHelp (wxWindow *window)
| Puts the application into context-sensitive help mode. More...
bool | EndContextHelp ()
| Ends context-sensitive help mode. More...
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Constructor & Destructor Documentation

## ◆ wxContextHelp()

wxContextHelp::wxContextHelp | ( | wxWindow * | window = `NULL`,
|  | bool | doNow = `true`
| ) |  |

Constructs a context help object, calling BeginContextHelp() if doNow is true (the default).

If window is NULL, the top window is used.

## ◆ ~wxContextHelp()

virtual wxContextHelp::~wxContextHelp | ( |  | ) |
| virtual

Destroys the context help object.

## Member Function Documentation

## ◆ BeginContextHelp()

bool wxContextHelp::BeginContextHelp | ( | wxWindow * | window | ) |

Puts the application into context-sensitive help mode.

window is the window which will be used to catch events; if NULL, the top window will be used.

Returns true if the application was successfully put into context-sensitive help mode. This function only returns when the event loop has finished.

## ◆ EndContextHelp()

bool wxContextHelp::EndContextHelp | ( |  | ) |

Ends context-sensitive help mode.

Not normally called by the application.